in

WordPress 5.6 pode quebrar seu site em dezembro!

WordPress 5.6 tornará plugin inutilizável e por isso, sites devem sofrer erros!

Remove term: WordPress WordPressRemove term: WordPress 5.5 WordPress 5.5

WordPress 5.6 deve chegar em dezembro de 2020 e com ele algumas mudanças significativas, e que podem quebrar milhões de sites na internet. Mas, este mesmo cenário afetando sites em massa já ocorreu na última atualização do WordPress que foi o lançamento do WordPress 5.5 em agosto. Com isso, desenvolvedores já apontam que o mesmo problema ocorrerá em dezembro.

O aviso para problema de quebras de sites foi dado pelo desenvolvedor do plug-in jQuery Migrate e já avisou que o WordPress 5.6 tornará o seu plug-in inútil. Dito isso, ele avisa que os donos de sites que dependam deste plug-in irão ter sérios problemas em seus sites.

WordPress quebrando sites em 2020

Pois bem, é de olhar para esse cenário com estranheza, sabemos que este momento de pandemia muitos estão criando seus sites ou blogs para comercialização de seus produtos. No entanto, tanto os antigos sites como os novos passaram por este infeliz problema com o WordPress 5.5.

Ele foi lançado em agosto, e sim quebrou milhares de sites na internet. Essas falhas estão ocorrendo devido a um processo de modernização que foi planejado em três fases do uso de jQuery.

Para quem não conhece, o jQuery é um conjunto de scripts que fornece aos sites um conjunto de animações, elementos interativos, além de facilitar a criação de plug-ins e temas de maneira mais fácil. Além disso, o jQuery também facilita o uso de recursos comuns e também ajuda quem manipula CSS.

Por tanto, o X da questão é que muitos plugins e temas ainda usam versões antigas do jQuery. E é, por tanto, justamente nestas versões antigas que estão presentes as famosas vulnerabilidades Cross Site Scripting (XSS) e Denial of Service (DoS), que são altamente perigosas para os sites.

O processo de atualização do jQuery começou efetivamente no WordPress 5.5, a ideia é atualizar o jQuery o quanto antes. Nesta primeira etapa a versão jQuery Migrate 1.X. foi removida. O jQuery Migrate permite que um site com plug-ins que utilizem versões anteriores do jQuery continuem funcionando. Desta forma, o jQuery Migrate torna sites em WordPress compatível com plug-ins e temas que utilizam versões antigas do jQuery.

WordPress 5.6 pode quebrar sites em dezembro! Fique atento!

Remoção do jQuery Migrate 1.X

Todos os planos de remoção do jQuery Migrate 1.X foram divulgados globalmente pela Comunidade do WordPress, e com bastante antecedência, e assim permitindo que os desenvolvedores atualizassem quanto antes seus códigos, mas parece que nem tudo mundo anda lendo as informações na internet.

Desta forma, quando o WordPress 5.5 foi lançado em agosto, milhões de sites simplesmente quebraram. Usuários reportaram que foram bloqueados, que não conseguiram se quer logar em seus sites e alguns reportaram que os seus sites se quer carregavam.

Ação rápida da Comunidade WordPress

Ao perceber a irresponsabilidade dos desenvolvedores, e os milhões de sites com problemas, os devs do WordPress lançaram o plug-in Enable jQuery Migrate Helper, e assim seria possível restaurar todos os sites quebrados, e como um bom final de novela, todos os sites puderam voltar ao normal com ele.

WordPress 5.6 pode quebrar sites novamente

Em dezembro, 5 meses depois, alguns desenvolvedores estão dormindo no ponto e tudo indica que uma nova onda de sites enfrentando problemas novamente pode chegar. Como dito antes, o projeto de atualização do jQuery no WordPress foi dividido em três fazes. Desta forma, em dezembro com o lançamento do WordPress 5.6, será a segunda fase do processo de atualização.

Com isso, os desenvolvedores devem atualizar a biblioteca jQuery Migrate para a versão mais recente, 3.3.1. Veja o que diz o anúncio oficial:

A primeira etapa foi incluída no WordPress 5.5, que parou de habilitar o jQuery Migrate versão 1.x por padrão.

Como parte dois deste processo… que atualizou a versão do jQuery para 3.5.1. Paralelamente, o jQuery Migrate também foi atualizado para a versão 3.3.1 mais recente.

Observe que o script de migração para a versão 3 não é compatível com os recursos para os quais o script de migração anterior fornecia um polyfill e os recursos previamente marcados como obsoletos não estão mais disponíveis. ”

Dito isso, a informação só reforça que a funcionalidade será mesmo interrompida nos sites que ainda recorrem ao plug-in Enable jQuery Migrate Helper para que o site funcione. No fórum do plug-in alguém perguntou:

“Quando a atualização do WordPress 5.6 chegar, a ativação do jQuery Migrate Helper ainda funcionará?”

O desenvolvedor do plug-in WordPress respondeu:

“Resumindo, não, não vai ajudar quando o WordPress 5.6 chegar, já que a biblioteca jQuery no WordPress está planejada para ser atualizada, e isso deixaria este auxiliar inútil …”

Segundo informações divulgas, muitos desenvolvedores de plug-ins e temas, já estão fazendo as atualizações. No entanto, é preciso ficar atento a milhares destes que não receberam nenhuma atualização nos últimos meses, especialmente aqueles que estão marcados que não foram testados parar a versão atual do WordPress.

Com isso, os donos de sites poderão evitar sérios problemas. A melhor ação e verificar os plugins instalados, consultar os fóruns ou enviar e-mail para os desenvolvedores em busca de informações sobre compatibilidades ou partir para uma alternativa mais atualizada.

Como saber se o WordPress 5.6 vai quebrar seu site?

Simples, se você estiver usando o plug-in jQuery Migrate Helper verá mensagens de erros em seu painel de administração. Assim, você terá mesmo erros quando o WordPress for atualizado para a nova versão em dezembro.

Com tudo, se você não receber nenhuma mensagem de erros em seu painel, isso é um ótimo sinal, implica dizer que tudo está bem e que os desenvolvedores dos plug-ins e temas que você usa não fazem parte da grande massa que deixa para resolver essas questões de última hora. Com isso, nada de errado deve acontecer quando você atualizar para o WordPress 5.6.

Com informações do Make WordPress, Fórum do WordPress e do SearchEngineJournal

Milhões de sites WordPress sofrem ataques com bug de plug-in

Cloudflare lança serviço de Cache para WordPress!

WordPress implanta atualização de segurança em plugin popular